This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 675143 - (CVE-2011-0058) CVE-2011-0058 Mozilla memory corruption during text run construction (MFSA 2011-07)
CVE-2011-0058 Mozilla memory corruption during text run construction (MFSA 20...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
public=20110301,reported=20110204,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-04 08:02 EST by Huzaifa S. Sidhpurwala
Modified: 2015-08-19 05:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 18:00:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2011-02-04 08:02:13 EST
Alex Miller reported that when very long strings were constructed
and inserted into an HTML document, the browser would incorrectly 
construct the layout objects used to display the text. 
Under such conditions an incorrect length would be calculated for 
a text run resulting in too small of a memory buffer being allocated 
to store the text. 
This issue could be used by an attacker to write data past the end 
of the buffer and execute malicious code on a victim's computer.
Comment 1 Vincent Danen 2011-03-01 18:27:01 EST
This is now public:

http://www.mozilla.org/security/announce/2011/mfsa2011-07.html
Comment 2 errata-xmlrpc 2011-03-01 20:10:22 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:0310 https://rhn.redhat.com/errata/RHSA-2011-0310.html

Note You need to log in before you can comment on or make changes to this bug.